@charset "utf-8";

/* ===================================
header
====================================*/
.header,
.nav__header {
    width: 100%;
    height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--primary-white, #FFFFFF);
    position: sticky;
    top: 0;
    z-index: 1000;
}

.header__inner,
.nav__inner {
    display: flex;
    align-items: center;
    width: 100%;
    justify-content: space-between;
}

.header__logo img,
.nav__inner img {
    height: 48px;
    display: block;
}

.header__nav  {
    display: none;
    }

/* .nav初期表示 */
.nav {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #FFFFFF;
    z-index: 9999;
    transform: translateX(100%);
    transition: transform 0.4s ease;
    display: flex;
    flex-direction: column;
    align-items: center;
}

/* .nav.active表示 */
.nav.active {
    transform: translateX(0);
}

.nav__btn {
    width: 20px;
    cursor: pointer;
}

.nav__btn_close {
    margin-left: 228px;
    margin-right: 15px;
}

.nav__list {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 40px;
    gap: 80px;  
}

.nav__menu a {
    font-family: Montserrat;
    font-size: 1.4rem;
    font-weight: bold;
    color: var(--primary-navy, #0A2240) ;
    display: inline-block;
    text-decoration: none;
}

.nav__item a {
    font-family: Montserrat;
    font-size: 1.8rem;
    font-weight: bold;
    color: var(--primary-navy, #0A2240);
}

.header__cta {
    transition: transform 0.2s ease,filter 0.2s ease;
    cursor: pointer;
}

.header__cta:hover {
    transform: translateY(-4px);
    filter: brightness(1.1);
}

.header__cta:active {
    transform: translateY(2px);
    filter: brightness(0.9);
    transition: transform 0.05s;
}

.cta-button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    position: relative;
    padding: 10px 34px 10px 20px;
    background: linear-gradient(to bottom, #FCEABB, #F8B500);
    color: #0A2240;
    text-decoration: none;
    font-weight: bold;
    font-size: 1.2rem;
    border-radius: 30px;
    box-shadow: 2px 2px 2px rgb(19, 52, 90, 0.5);
    font-family: 'Noto Sans JP';
    line-height: 1.8;
}

.cta-button-sub-text {
    display: block;
    font-size: 1rem;
    font-weight: normal;
    margin-top: 2px;
}

.cta-button {
    flex-direction: column;
    text-align: center;
}

.arrow {
    position: absolute;
    right: 15px;
    width: 22px;
    height: 22px;
    border-radius: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 50%;
    transform: translateY(-50%);
}

.arrow img {
    width: 60%;
    height: auto;
}

.arrow::after {
    content: '';
    width: 8px;
    height: 8px;
    border-top: 2px solid #333333;
    border-right: 2px solid #333333;
    transform: rotate(45deg);
    display: block;
    margin-left: -2px;
}   

.cta-button:hover {
    opacity: 0.8;
    transition: 0.3s;
}

.header__btn {
    width: 20px;
    height: 16px;
    cursor: pointer;
    margin-right: 15px;
}

.nav__sns {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin: 0 auto;
    margin-top: 72px;
}

.nav__sns a {
    display: block;
    width: 33%;
    text-align: center;
    margin-bottom: 20px;
}

.nav__sns img {
    width: 40px;
    height: 40px;
}
.main-visual {
    width: 100%;
    overflow: hidden;
}

.main-visual__content {
    position: relative;
    width: 100%;
}

.sp-fv {
    display: block;
    width: 100%;
    height: auto;
}

.pc-fv {
    display: none;
}

.fv-title {
    position: absolute;
    top: 41%;
    left: 20px;
    transform: translateY(-50%);
    z-index: 10;
    color: #0A2240;
    text-align: left;
    width: 80%;
}

.fv-main-text {
    display: block;
    font-family: Montserrat;
    font-size: 3.2rem;
    font-weight: bold;
    line-height: 1.2;
    margin-bottom: 15px;
}

.fv-sub-text {
    display: block;
    font-family: 'Noto Sans JP';
    font-size: 1.4rem;
    line-height: 1.6;
    margin-bottom: 6px;
}

.fv-school-info {
    font-size: 1.4rem;
}

.category {
    display: block;
    margin-bottom: 10px;
}

.school-name {
    display: block;
}

@media screen and (min-width: 769px) {
    .header {
        height: 170px;
    }

    .header__inner {
        display: flex;
        align-items: center;
        padding: 0 109px;
    }

    .header__logo img {
        height: 74px;
        display: block;
}

    .header__nav  {
        display: block;
        margin-left: auto;
        margin-right: 104px;
    }

    .cta-button {
        width: 349px;
        height: 98px;
        border-radius: 50px;
        font-size: 2rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        position: relative;
        text-decoration: none;
    }

    .cta-button-sub-text {
        font-size: 1.4rem;
    }

    .arrow {
        width: 28px;
        height: 28px;
        right: 25px;
    }

    .arrow::after {
        content: "";
        display: block;
        width: 14px;
        height: 14px;
        border-top: 3px solid;
        border-right: 3px solid;
        transform: rotate(45deg);
    }

    .header__btn {
        display: none;
    }

    .nav {
        display: none;
    }

    .nav__list {
        flex-direction: row;
        gap: 104px;
        margin-top: 0;
    }

    .main {
        padding-top: 170px;
    }

    .pc-fv {
    display: block;
    width: 1000px;
    max-width: 100%;
    height: auto;
}

    .sp-fv {
    display: none;
}

    .main-visual {
        display: block;
    }

    .main-visual__content {
        max-width: 1250px;
        height: 568px;
        margin: 0 auto;
        position: relative;
        display: flex;
        justify-content: flex-end;
    }

    .fv-title {
        position: absolute;
        top: 50%;
        left: 153px;
        transform: translateY(-50%);
        z-index: 10;
        width: 550px;
        text-align: left;
    }

    .fv-main-text {
        font-size: 7.2rem;
        display: block;
        margin-bottom: 20px;
    }

    .fv-sub-text,
    .fv-school-info {
        font-size: 2rem;
        line-height: 2;
        display: block;
    }

    .fv-sub-text {
        margin-bottom: 0;
    }
}

/* ===================================
What is Eureka
====================================*/
.about {
    padding: 60px 12.2%;
    text-align: center;
}

.about__inner {
    margin-top: 30px;
}

.about__image {
    display: none;
}

.about__text {
    text-align: center;
}

.about__text-item {
    margin-bottom: 24px;
    line-height: 1.8;
    font-size: 1.4rem;
}

.about__text-item:last-child {
    margin-bottom: 0;
}

.fw-bold {
    font-weight: bold;
}

@media screen and (min-width: 769px) {
.section-title {
    font-size: 4rem;
}

.about {
    max-width: 832px;
    margin: 0 auto;
    padding: 100px 0;
}

.about__inner {
    margin-top: 60px;
}

.about__inner {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 68px;
}

.about__image {
    display: block;
    flex: 0 0 40%;
}

.about__image img {
    width: 430px;
    height: auto;
}

.about__text {
    text-align: center;
}

.about__text-item {
    margin-bottom: 24px;
    line-height: 1.8;
    font-size: 1.8rem;
}

.about__text p {
    display: block;
}
}

/* ===================================
Value
====================================*/
.value {
    background-color: var(--primary-gray, #EFF1F4);
    padding: 60px 3.7%;
}

.value__list {
    display: flex;
    flex-direction: column;
    gap: 30px;
    margin-top: 40px;
}

.value__item {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.value__head {
    display: flex;
    align-items: center;
    gap: 50px;
    padding: 20px 5.3%;
}

.value__number {
    position: relative;
    font-size: 2.4rem;
    font-weight: bold;
    color: #018E7E;
    padding-right: 20px;
}

.value__number::after {
    content: "";
    position: absolute;
    top: 50%;
    width: 80px;
    height: 1px;
    background-color: #018E7E;
    transform: rotate(-44deg);
}


.value__title {
    gap: 12px;
    color: #0A2240;
    font-family: 'Noto Sans JP';
    font-size: 1.6rem;
    font-weight: normal;
    line-height: 1.6;
}

.value__text {
    background-color: #FFFFFF;
    border: 1px solid #13345A;
    padding: 20px 5.3%;
    font-size: 1.4rem;
    line-height: 1.8;
}

.pcBr {
    display: none;
}

@media screen and (min-width: 769px) {
.value {
    padding: 80px 18.6%;
}

.value__list {
    max-width: 902px;
    margin: 0 auto;
    margin-top: 60px;
    gap: 69px;
}

.value__item {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.value__head {
    width: 101%;
}

.value__title {
    font-size: 2rem;
}

.value__number {
    font-size: 2.4rem;
}

.value__text {
    width: 100%;
    padding: 30px 6.6%;
    font-size: 1.6rem;
}

.spBr {
    display: none;
}

.pcBr {
    display: inline;
}
}

/* ===================================
Movie
====================================*/
.movie__inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    padding: 60px 3.7%;
}

.movie__video iframe {
    width: 100%;
    aspect-ratio: 16 / 9;
    height: auto;
}

.movie__text {
    text-align: center;
}

.movie__lead {
    font-size: 1.2rem;
    line-height: 1.8;
    margin-top: 40px;
    margin-bottom: 40px;
}

.movie__title {
    text-align: center;
    font-size: 1.4rem;
    font-weight: 500;
    margin-bottom: 8px;
    line-height: 1.8;
}

.movie__channel {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px 0;
    width: 100%;
}

.movie__logo {
    width: 62px;
    height: auto;
    flex-shrink: 0;
}

.movie__logo {
    display: none;
}

.movie__channel-info {
    display: flex;
    align-items: center;
    gap: 15px;
    margin: 0 auto;
    padding: 0 65px;
}

.movie__channel-info .channel-name {
    font-size: 1.2rem !important;
    display: flex;
}

.movie__channel-info img.yt__icon {
    width: 44px;
}

.channel__name {
    display: flex;
    align-items: center;
    font-size: 1.2rem !important;
    gap: 8px;
}

.channel-text-group {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.channel-text-group p {
    margin: 0;
    line-height: 1.2;
    font-size: 1.2rem !important;
}

.yt__icon {
    width: 20px;
    height: auto;
    margin-right: 11px;
    vertical-align: middle;
}

.channel-link-wrapper {
    text-decoration: none;
    color: inherit;
    display: flex;
    align-items: center;
}

.cta-block__title {
    font-size: 1.4rem;
    font-weight: bold;
    text-align: center;
    color: #0A2240;
    margin-top: 40px;
}

.cta-block__button {
    text-align: center;
    margin-top: 20px;
    transition: transform 0.2s ease,filter 0.2s ease;
    cursor: pointer;
}

.cta-block__button:hover {
    transform: translateY(-4px);
    filter: brightness(1.1);
}

.cta-block__button:active {
    transform: translateY(2px);
    filter: brightness(0.9);
    transition: transform 0.05s;
}

.btn-course {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    position: relative;
    width: 209px;
    height: 59px;
    background-color: #EEF2F3;
    border-radius: 100px;
    color: #0A2240;
    font-weight: bold;
    text-decoration: none;
    font-family: Montserrat;
    font-size: 1.4rem;
    padding-left: 45px;
    box-shadow: 2px 2px 2px rgb(19, 52, 90, 0.5);
    transition: all 0.3s ease;
    margin: 0 auto;
}

.btn-course .arrow {
    position: absolute;
    right: 35px;
}

.cta-block__desc {
    font-size: 1.2rem;
    text-align: center;
    margin-top: 10px;
}

.btn-trial {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    position: relative;
    width: 209px;
    height: 59px;
    background: linear-gradient(to bottom, #FCEABB, #F8B500);
    border-radius: 100px;
    color: #0A2240;
    font-size: 1.2rem;
    font-weight: bold;
    text-decoration: none;
    padding-left: 30px;
    box-shadow: 2px 2px 2px rgb(19, 52, 90, 0.5);
    margin: 0 auto;
    box-sizing: border-box;
    transition: all 0.3s ease;
}

.btn-trial .arrow {
    position: absolute;
    right: 20px;
}

@media screen and (min-width: 769px) {
.movie__inner {
    max-width: 902px;
    margin: 0 auto;
    margin-top: 120px;
    margin-bottom: 120px;
    text-align: left;
    padding: 0;
}

.movie__content {
    display: flex;
    align-items: center;
    width: 902px;
    gap: 47px;
}

.movie__video {
    flex: 1.2;
    margin-bottom: 0;
}

.movie__text {
    flex: 1;
}

.movie__lead {
    font-size: 1.6rem;
    text-align: left;
    margin-top: 0;
    margin-bottom: 60px;
}

.movie__title {
    font-size: 1.8rem;
    text-align: left;
    margin-bottom: 30px;
}

.movie__channel {
    justify-content: flex-start;
}

.movie__channel img {
    width: 64px;
    height: auto;
}

.movie__channel-info {
    padding: 0;
}

.channel-text-group p {
    font-size: 1.6rem !important;
}

.channel-handle {
    font-size: 1.4rem !important;
    margin-top: 2px;
}

.channel__name {
    font-size: 1.6rem;
}

.movie__account {
    font-size: 1.4rem;
}

.course-cta {
    margin-top: 80px;
}

.course-cta {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 768px;
    gap: 297px;
    text-align: left;
}

.course-cta .cta-block__title {
    margin-bottom: 0;
}

.course-cta .cta-block__button {
    flex-shrink: 0;
    margin-top: 0;
}

.btn-course {
    width: 249px;
    height: 73px;
    padding-left: 50px;
    font-size: 1.6rem;
}

.cta-block__title {
    font-size: 2rem;
    text-align: left;
    margin-top: 0;
}

.cta-block__desc {
    font-size: 1.4rem;
}

.trial-cta {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 80px;
    gap: 193px;
    text-align: left;
}

.trial-cta__text {
    max-width: 520px;
}

.trial-cta .cta-block__button {
    flex-shrink: 0;
}

.btn-trial arrow {
    right: 25px;
}

.btn-trial {
    width: 249px;
    height: 73px;
    padding-left: 30px;
    font-size: 1.4rem;
}
}

/* ===================================
Profile
====================================*/
.profile {
    background-color: var(--primary-gray, #EFF1F4);
    padding: 60px 8.8%;
}

.profile__inner {
    display: flex;
    flex-direction: column-reverse;
    gap: 30px;
    align-items: center;
    margin-top: 30px;
}

.profile__text {
    font-size: 1.4rem;
    line-height: 1.8;
}

.profile__name {
    font-size: 1.6rem;
    margin-bottom: 20px;
}

.profile__bd,
.profile__career,
.profile__music,
.profile__artist {
    margin-bottom: 20px;
}

.profile__hobby {
    margin-bottom: 60px;
}

.profile__title {
    font-size: 1.5rem;
    color: var(--primary-navy, #0A2240);
}

.note-guide {
    font-size: 1.2rem;
    font-weight: normal;
    margin-top: 10px;
    margin-bottom: 20px;
}

.profile__title::after {
    content: "";
    display: block;
    width: 61px;
    height: 1px;
    background-color: var(--primary-darkblue,#13345A);
}

.device-text::before {
    content: "タップ";
}

.profile__image img {
    width: 217px;
    height: auto;
}

.keireki-link {
    display: inline-block;
    text-decoration: none;
    color: #333333;
    margin-bottom: 5px;
    transition: opacity 0.3s;
}

.keireki-link:hover {
    opacity: 0.6;
    text-decoration: underline;
}

@media screen and (min-width: 769px) {
.profile {
    padding: 60px 9.7% 120px;
}

.profile__inner{
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    gap: 40px;
    max-width: 1160px;
    margin: 0 auto;
}

.profile__text {
    flex: 1;
    text-align: left;
}

.profile__image {
    flex: 0 0 402px;
}

.profile__image img {
    width: 100%;
    height: auto;
    display: block;
    margin-top: 140px;
}

.profile__text {
    font-size: 1.6rem;
    line-height: 1.8;
}
 
.profile__name {
    font-size: 1.8rem;
    margin-top: 34px;
    margin-bottom: 40px;
}

.profile__bd,
.profile__career,
.profile__music,
.profile__artist {
    margin-bottom: 40px;
}

.note-guide {
    display: inline-block;
    margin-left: 8px;
    width: auto;
    font-size: 1.2rem;
}

.device-text::before {
    content: "クリック";
}

.profile__keireki {
    line-height: 1.8;
}
}

/* ===================================
Message
====================================*/
.message {
    padding: 60px 6.6%;
}

.message__inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    max-width: 1000px;
    margin: 0 auto;
}

.message__image img {
    width: 100%;
    height: auto;
}

.message__image .message__image-pc {
    display: none;
}

.message__image .message__image-sp {
    display: block;
}

 .message__image-sp {
    margin-top: 30px;
 }

.message__text {
    font-size: 1.4rem;
    text-align: center;
    line-height: 1.8;
}

.message__teinei1,
.message__teinei2 {
    font-weight: bold;
    margin-top: 30px;
}

.message__onegai1 {
    margin-top: 30px;
}

.message__onegai2,
.message__onegai3 {
    margin-top: 8px;
}

.message__onegai3 {
    margin-bottom: 60px;
}

.footer__cta {
    display: flex;
    justify-content: center;
}

.footer__cta {
    text-align: center;
    margin-top: 20px;
    transition: transform 0.2s ease,filter 0.2s ease;
    cursor: pointer;
}

.contact-button {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 303px;
    height: 90px;
    background-color: #EEF2F3;
    border-radius: 100px;
    color: #0A2240;
    font-weight: bold;
    text-decoration: none;
    box-shadow: 2px 2px 2px rgb(19, 52, 90, 0.5);
    transition: all 0.3s ease;
}

.contact-button__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.contact-button__text {
    font-family: Montserrat;
    font-size: 1.6rem;
    font-weight: bold;
    line-height: 1.8;
    display: block;
}

.contact-button__subtext {
    font-size: 1.2rem;
    font-weight: normal;
    display: block;
    margin-bottom: 8px;
}

.footer__cta:hover {
    transform: translateY(-4px);
    filter: brightness(1.1);
}

.footer__cta:active {
    transform: translateY(2px);
    filter: brightness(0.9);
    transition: transform 0.05s;
}

@media screen and (min-width: 769px) {
.message {
    text-align: center;
    padding: 60px 9.7%;
}

.message__inner {
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
    gap: 53px;
    max-width: 1160px;
    margin: 0 auto;
    margin-top: 80px;
}

.message__image .message__image-pc {
    display: block;
    width: 478px;
    height: auto;
}

.message__image .message__image-sp {
    display: none;
}

.message__text {
    font-size: 1.6rem;
    text-align: left;
    margin-right: 86px;
}

.message__teinei1,
.message__teinei2 {
    font-size: 1.8rem;
    font-weight: bold;
    margin-top: 40px;
}

.message__onegai1 {
    margin-top: 60px;
}

.message__onegai2,
.message__onegai3 {
    margin-top: 16px;
}

.footer__cta {
    margin-top: 60px;
}

.contact-button {
    width: 465px;
    height: 107px;
    padding: 0 40px;
}

.contact-button__text {
    font-size: 2.4rem;
}

.contact-button__subtext {
    font-size: 1.6rem;
    margin-bottom: 12px;
}

.arrow {
    right: 40px;
}
}

